## golang-code.gitea-sdk 0.0~git20170708.0.9990008

=== Makefile ===
IMPORT := code.gitea.io/sdk

PACKAGES ?= $(shell go list ./... | grep -v /vendor/)
GENERATE ?= code.gitea.io/sdk/gitea

.PHONY: all
all: clean test build

.PHONY: clean
clean:
	go clean -i ./...

generate:
	@which mockery > /dev/null; if [ $$? -ne 0 ]; then \
		go get -u github.com/vektra/mockery/...; \
	fi
	go generate $(GENERATE)

.PHONY: fmt
fmt:
	find . -name "*.go" -type f -not -path "./vendor/*" | xargs gofmt -s -w

.PHONY: vet
vet:
	go vet $(PACKAGES)

.PHONY: lint
lint:
	@which golint > /dev/null; if [ $$? -ne 0 ]; then \
		go get -u github.com/golang/lint/golint; \
	fi
	for PKG in $(PACKAGES); do golint -set_exit_status $$PKG || exit 1; done;

.PHONY: test
test:
	for PKG in $(PACKAGES); do go test -cover -coverprofile $$GOPATH/src/$$PKG/coverage.out $$PKG || exit 1; done;

.PHONY: build
build:
	go build ./gitea

## golang-code.gitea-sdk 0.0~git20170322.0.1bec42c

=== debian/changelog ===
golang-code.gitea-sdk (0.0~git20170322.0.1bec42c-1) unstable; urgency=medium

  * Initial release (Closes: #858871)

 -- Michael Lustfield <michael@lustfield.net>  Mon, 27 Mar 2017 23:11:34 -0500

=== debian/control ===
Source: golang-code.gitea-sdk
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Michael Lustfield <michael@lustfield.net>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any
Standards-Version: 3.9.8
Homepage: https://code.gitea.io/sdk/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-code.gitea-sdk.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-code.gitea-sdk.git
XS-Go-Import-Path: code.gitea.io/sdk

Package: golang-code.gitea-sdk-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: SDK implementation to interact with the Gitea API
 This package provides a library that can be used to interacte with the
 Gitea API. This include administration, repository management, activity
 reporting, issue tracking, etc. Nearly everything that can be done in
 Gitea is accessible via this API. This API is intended to be familiar to
 those used to the API provided by Github.

## golang-code.gitea-sdk 0.0~git20170708.0.9990008

=== debian/changelog ===
golang-code.gitea-sdk (0.0~git20170708.0.9990008-1) unstable; urgency=medium

  * New upstream build.

 -- Michael Lustfield <michael@lustfield.net>  Mon, 17 Jul 2017 15:07:55 -0500

## golang-code.gitea-sdk 0.0~git20170920.0.60c6048

=== debian/changelog ===
golang-code.gitea-sdk (0.0~git20170920.0.60c6048-1) unstable; urgency=medium

  * New upstream build.
  * Maintenance updates:
    - Standards-Version bump.
    - Add Testsuite to d/control.

 -- Michael Lustfield <michael@lustfield.net>  Thu, 28 Sep 2017 23:49:56 -0500

## golang-code.gitea-sdk 0.0~git20171220.79eee8f

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 IMPORT := code.gitea.io/sdk
 
-PACKAGES ?= $(shell go list ./... | grep -v /vendor/)
+PACKAGES ?= $(shell go list -e ./... | grep -v /vendor/ | grep -v /benchmark/)
 GENERATE ?= code.gitea.io/sdk/gitea
 
 .PHONY: all
@@ -18,7 +18,7 @@
 
 .PHONY: fmt
 fmt:
-	find . -name "*.go" -type f -not -path "./vendor/*" | xargs gofmt -s -w
+	find . -name "*.go" -type f ! -path "./vendor/*" ! -path "./benchmark/*" | xargs gofmt -s -w
 
 .PHONY: vet
 vet:
@@ -35,6 +35,10 @@
 test:
 	for PKG in $(PACKAGES); do go test -cover -coverprofile $$GOPATH/src/$$PKG/coverage.out $$PKG || exit 1; done;
 
+.PHONY: bench
+bench:
+	go test -run=XXXXXX -benchtime=10s -bench=. || exit 1
+
 .PHONY: build
 build:
 	go build ./gitea

=== debian/changelog ===
golang-code.gitea-sdk (0.0~git20171220.79eee8f-3) unstable; urgency=medium

  * Remove Michael Lustfield from Uploaders list.

 -- Michael Lustfield <michael@lustfield.net>  Sat, 03 Feb 2018 12:13:26 -0600

golang-code.gitea-sdk (0.0~git20171220.79eee8f-2) unstable; urgency=medium

  * Oprhaning package.

 -- Michael Lustfield <michael@lustfield.net>  Fri, 02 Feb 2018 23:15:57 -0600

golang-code.gitea-sdk (0.0~git20171220.79eee8f-1) unstable; urgency=medium

  * New upstream build.

 -- Michael Lustfield <michael@lustfield.net>  Wed, 27 Dec 2017 19:02:14 -0600

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: golang-code.gitea-sdk
 Section: devel
 Priority: extra
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Lustfield <michael@lustfield.net>
+Maintainer: QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 10),
                dh-golang,
                golang-any
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://code.gitea.io/sdk/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-code.gitea-sdk.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-code.gitea-sdk.git
+Testsuite: autopkgtest-pkg-go
 XS-Go-Import-Path: code.gitea.io/sdk
 
 Package: golang-code.gitea-sdk-dev
